<template>
  <div class="competitor-list">
    <CompetitorItem v-for="(item, index) in competitorWebsiteList" :key="index" :siteName="item" />
  </div>
</template>

<script lang="ts" setup>
import { computed } from 'vue';
import { useMainStore } from '@/store';
import CompetitorItem from "./item.vue";

const mainStore = useMainStore();
const formData = computed(() => mainStore.getFormData);
const competitorWebsiteList = computed(() => formData.value.competitorWebsite?.replace(/，/g, ",").split(",") || []);
</script>

<style lang="scss" scoped>
.competitor-list {
  
}
</style>
